package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.ArticleTag;

/**
 * 帖子话题Service接口
 * 
 * @author ruoyi
 * @date 2023-11-09
 */
public interface IArticleTagService 
{
    /**
     * 查询帖子话题
     * 
     * @param tagId 帖子话题主键
     * @return 帖子话题
     */
    public ArticleTag selectArticleTagByTagId(Long tagId);

    /**
     * 查询帖子话题列表
     * 
     * @param articleTag 帖子话题
     * @return 帖子话题集合
     */
    public List<ArticleTag> selectArticleTagList(ArticleTag articleTag);

    /**
     * 新增帖子话题
     * 
     * @param articleTag 帖子话题
     * @return 结果
     */
    public int insertArticleTag(ArticleTag articleTag);

    /**
     * 修改帖子话题
     * 
     * @param articleTag 帖子话题
     * @return 结果
     */
    public int updateArticleTag(ArticleTag articleTag);

    /**
     * 批量删除帖子话题
     * 
     * @param tagIds 需要删除的帖子话题主键集合
     * @return 结果
     */
    public int deleteArticleTagByTagIds(Long[] tagIds);

    /**
     * 删除帖子话题信息
     * 
     * @param tagId 帖子话题主键
     * @return 结果
     */
    public int deleteArticleTagByTagId(Long tagId);
}
